Subject: Re: [PATCH v2 00/14] Improve git-status --ignored

From: Karsten Blees <[email-masked]>
Date: Wed, 17 Apr 2013 21:50:04 +0200

Am 15.04.2013 22:25, schrieb Junio C Hamano:
> Karsten Blees <[email-masked]> writes:
> 
>> Am 15.04.2013 21:33, schrieb Junio C Hamano:
>>> Junio C Hamano <[email-masked]> writes:
>>>
>>>> Karsten Blees <[email-masked]> writes:
>>>>
>>>>> This patch series addresses several bugs and performance issues in
>>>>> .gitignore processing.
>>>>
>>>> A 8-patch series ending at 5d765dc7888b (dir.c: git-status: avoid
>>>> is_excluded checks for tracked files, 2013-03-18) has been cooking
>>>> in 'next'; in general we won't revert and requeue a new round for a
>>>> topic that has already merged to 'next'.
>>>>
>>
>> I'm sorry to have caused such trouble. I thought you were expecting a reroll from this:
> 
> Heh, that was an ancient history.

My git time is scarce, so progress is slow...guess I need some performance improvements, too :-)

> 
> It is not such a big deal to revert stuff from 'next'.  I've tried
> to queue this reroll, but tentatively ejected the result from 'pu'
> for today's integration run, as as/check-ignore topic has an
> unpleasant conflict with this.
> 

I'll send fixups for #11 and #14, or you can pick the entire series rebased to pu from:
https://github.com/kblees/git/tree/kb/improve-git-status-ignored-v2-pu
git pull git://github.com/kblees/git.git kb/improve-git-status-ignored-v2-pu

HTH, Karsten